You are not logged in.

#1 2014-08-20 17:34:09

kalsan
Member
Registered: 2011-10-10
Posts: 92

warzone2100: error while loading shared libraries: libGLEW.so.1.10

Hi there! I'm getting the following error:

$ warzone2100 
warzone2100: error while loading shared libraries: libGLEW.so.1.10: cannot open shared object file: No such file or directory

Indeed, libGLEW.so.1.10 has disappeared after latest update:

$ ls -l /usr/lib64/libGLEW*
lrwxrwxrwx 1 root root     19 18. Aug 17:43 /usr/lib64/libGLEWmx.so -> libGLEWmx.so.1.11.0
lrwxrwxrwx 1 root root     19 18. Aug 17:43 /usr/lib64/libGLEWmx.so.1.11 -> libGLEWmx.so.1.11.0
-rw-r--r-- 1 root root 514640 18. Aug 17:43 /usr/lib64/libGLEWmx.so.1.11.0
lrwxrwxrwx 1 root root     17 18. Aug 17:43 /usr/lib64/libGLEW.so -> libGLEW.so.1.11.0
lrwxrwxrwx 1 root root     17 18. Aug 17:43 /usr/lib64/libGLEW.so.1.11 -> libGLEW.so.1.11.0
-rw-r--r-- 1 root root 575864 18. Aug 17:43 /usr/lib64/libGLEW.so.1.11.0

Does anyone know how to make it work again?
Cheers,
Kalsan

Offline

#2 2014-08-20 19:49:38

Soukyuu
Member
Registered: 2014-04-08
Posts: 782

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

Is that an AUR package? I would imagine you'll have to recompile it against 1.11 to make it work again.
You could also try to make a symbolic link linking to the 1.11 version and see if that makes it work again.


[ Arch x86_64 | linux-ck-k10 | Custom-built | AMD Phenom II X4@3,5Ghz | nVidia 260 GTX | 12GB RAM | Main w/ Win 10 x64 dualboot ]
[ Arch x86_64 | linux-ck-core2 | Zepto 6625WD | Intel C2D T7250@2,0GHz | nVidia 8600m GT | 4GB RAM | Backup/Experimental]
[ Arch x86_64 | linux-ck-bobcat | Zotac AD02 | AMD Zacate e-350@1,2GHz | Radeon 6310 | 4GB RAM | Home Server ]

Offline

#3 2014-08-20 19:57:03

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,839

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

Post a bug report in the tracker under Community Packages. If you're in a hurry, do what Soukyuu suggested first i.e. rebuild. Do not do what Soukyuu suggested second.

Soukyuu - by all means litter your own system with random symlinks, but IMO it would be better not to encourage others do to the same.

Last edited by tomk (2014-08-20 19:57:24)

Offline

#4 2014-08-20 20:52:28

Barthalion
Developer
From: Poland
Registered: 2010-02-26
Posts: 109

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

% pacman -Q warzone2100 glew     
warzone2100 3.1.1-2
glew 1.11.0-1

% readelf -d /usr/bin/warzone2100 | grep libGLEW.so
 0x0000000000000001 (NEEDED)             Shared library: [libGLEW.so.1.11]

% pacman -Qo /usr/lib/libGLEW.so.1.11
/usr/lib/libGLEW.so.1.11 is owned by glew 1.11.0-1

What it looks like is that you did an unsupported partial upgrade. Run -Syu and try again.


Arch Linux - rolling release distro, which users want to downgrade to the previous version

Offline

#5 2014-08-20 21:08:27

kalsan
Member
Registered: 2011-10-10
Posts: 92

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

We're not talking about AUR, it's the official repo warzone2100.
Trying with AUR: Compilation is unsuccessful. warzone2100-git and warzone2100-beta will both not compile. Manual compilation from wz2100.net source results in an error as well.
Upgrade was installed via yaourt -Syua. -Rs warzone2100 and reinstall will not work. -Syu says all is up-to-date. The error persists.

Offline

#6 2014-08-20 22:50:00

Soukyuu
Member
Registered: 2014-04-08
Posts: 782

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

tomk wrote:

Soukyuu - by all means litter your own system with random symlinks, but IMO it would be better not to encourage others do to the same.

It wasn't meant as encouragement, just something to test if it makes it work, in case it was an external install and not a package (which isn't encouraged either). I should have probably been more clear about it.


[ Arch x86_64 | linux-ck-k10 | Custom-built | AMD Phenom II X4@3,5Ghz | nVidia 260 GTX | 12GB RAM | Main w/ Win 10 x64 dualboot ]
[ Arch x86_64 | linux-ck-core2 | Zepto 6625WD | Intel C2D T7250@2,0GHz | nVidia 8600m GT | 4GB RAM | Backup/Experimental]
[ Arch x86_64 | linux-ck-bobcat | Zotac AD02 | AMD Zacate e-350@1,2GHz | Radeon 6310 | 4GB RAM | Home Server ]

Offline

#7 2014-08-20 22:57:10

dice
Member
From: Germany
Registered: 2014-02-10
Posts: 411

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

warzone2100 works fine for me with glew 1.11. maybe you should check that you have really the latest warzone2100 package installed. e.g. via

pacman -Qi warzone2100

it should be version 3.1.1-2
Maybe your package database got out of sync.

Edit: Ah I'm sorry for the redundancy. I overlooked Barthalions post....

Last edited by dice (2014-08-20 22:59:44)


I put at button on it. Yes. I wish to press it, but I'm not sure what will happen if I do.  (Gune | Titan A.E.)

Offline

#8 2014-08-21 14:51:02

kalsan
Member
Registered: 2011-10-10
Posts: 92

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

I think my system is magic. Everything is looking good:

$ pacman -Qi warzone2100 
Name           : warzone2100
Version              : 3.1.1-2
Beschreibung         : 3D realtime strategy game on a future Earth
Architektur          : x86_64
URL                  : http://wz2100.net/
Lizenzen             : GPL
Gruppen              : Nichts
Stellt bereit        : Nichts
Hängt ab von         : sdl  glew  fribidi  openal  libvorbis  libtheora  physfs
                       ttf-dejavu  qt4
Optionale Abhängigkeiten: Nichts
Benötigt von         : Nichts
Optional für: Nichts
Konflikt mit         : Nichts
Ersetzt              : Nichts
Installationsgröße:  100467.00 KiB
Packer               : Bartłomiej Piotrowski <bpiotrowski@archlinux.org>
Erstellt am          : Die 19 Aug 2014 10:49:54 CEST
Installiert am       : Mit 20 Aug 2014 23:05:30 CEST
Installationsgrund   : Ausdrücklich installiert
Installations-Skript : Nein
Verifiziert durch: Signatur

Problem persists :'-(

Offline

#9 2014-08-21 15:34:12

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,122

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

What is the output of `objdump -p /usr/bin/warzone2100 | grep GLEW`?

Offline

#10 2014-08-21 16:06:58

kalsan
Member
Registered: 2011-10-10
Posts: 92

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

$ objdump -p /usr/bin/warzone2100 | grep GLEW
  NEEDED               libGLEW.so.1.11

Offline

#11 2014-08-21 16:13:25

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,122

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

So warzone2100 is not the problem; it's linked correctly. This means that either:
1. Your system is not up to date.
2. You use a third party repo which needs something rebuilt. or
3. You have something installed from outside the repos that's causing the problem. Most likely it's something from the AUR you can find with pacman -Qm. If it's something you installed manually, it's much more difficult.

Offline

#12 2014-08-21 16:28:25

kalsan
Member
Registered: 2011-10-10
Posts: 92

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

For 1: My system is up-to-date. I update it via yaourt -Syua about twice a day.
For 2 and 3: All I did in the past few days was:
-> Uninstall java8 development kit (AUR)
-> Uninstall eiffelstudio (AUR)
-> Install updates via yaourt -Syua.
I did not do manual compilation / sudo make install on this system.
Installed repos: core, extra, community, multilib, archlinuxfr. No change here in the pas few weeks, so that should not be the problem.

$ pacman -Qm
ArkitechLight 1.0-1
BlackWidow 1.0-1
acroread-fonts-systemwide 11.0.06-1
adb android.4.4.2_r2-1
amdapp-sdk-opencv 2.9-1
arduino-sdk 1.0.5-1
blueman-bluez5-git 1.2.3.20140730.9781499-1
copyq 2.4.0-1
deb2targz 0.1-7
easymp3gain-gtk2 0.5.0-8
etherwake 1.09-6
fastboot 20090426-5
ffmpeg-compat2 1.2.1-3
google-earth 7.1.2.2041-2
grive 0.3.0-2
grive-tools 1.10-1
grub-customizer 4.0.6-1
heimdall 1.4.0-1
hplip-plugin 3.14.6-3
ld-lsb 3-7
libappindicator3 12.10.0-2
libgcj 15_4.9.1_7-2
libindicator-gtk2 12.10.1-4
libindicator-gtk3 12.10.1-4
makefontpkg 20140424-1
muse2 2.1.2-1
obex-data-server 0.4.6-10
pdfshuffler 0.6.0-2
pdftk-bin 2.02_1-4
pulseaudio-ctl 1.42-1
python-pyside-common 1.2.2-3
python2-pypdf 1.13-2
python2-pyside 1.2.2-3
shiboken 1.2.2-1
teamviewer 9.0.30203-4
telegram-git r378.1dad2e8-1
thunar-dropbox 0.2.0-1
ttf-ms-fonts 2.0-10

I don't see anything suspicious here?

Offline

#13 2014-08-21 16:40:02

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,122

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

the archlinux.fr repo has a lot of stuff in it. What do you have installed from there?

I don't see anything obvious in the foreign package list, but there's a lot of them I'm not familiar with.

Offline

#14 2014-08-21 17:06:52

dice
Member
From: Germany
Registered: 2014-02-10
Posts: 411

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

If warzone2100 binary is linked to the correct version of glew and the correct version of glew is installed how is it even possible that warzone tries to load the wrong version?
Only thing I can imagine is that /usr/lib/libGLEW.so.1.11 is actually the 1.10 version that got renamed or something.

maybe

objdump -p /usr/lib/libGLEW.so.1.11

could give a hint about that.

On my system I have

 $ objdump -p /usr/lib/libGLEW.so.1.11                                                            :(

/usr/lib/libGLEW.so.1.11:     file format elf64-x86-64

Program Header:
    LOAD off    0x0000000000000000 vaddr 0x0000000000000000 paddr 0x0000000000000000 align 2**21
         filesz 0x0000000000085dd4 memsz 0x0000000000085dd4 flags r-x
    LOAD off    0x0000000000086000 vaddr 0x0000000000286000 paddr 0x0000000000286000 align 2**21
         filesz 0x00000000000061b8 memsz 0x000000000000af88 flags rw-
 DYNAMIC off    0x0000000000086088 vaddr 0x0000000000286088 paddr 0x0000000000286088 align 2**3
         filesz 0x00000000000001f0 memsz 0x00000000000001f0 flags rw-
    NOTE off    0x0000000000000190 vaddr 0x0000000000000190 paddr 0x0000000000000190 align 2**2
         filesz 0x0000000000000024 memsz 0x0000000000000024 flags r--
EH_FRAME off    0x0000000000085508 vaddr 0x0000000000085508 paddr 0x0000000000085508 align 2**2
         filesz 0x0000000000000174 memsz 0x0000000000000174 flags r--
   STACK off    0x0000000000000000 vaddr 0x0000000000000000 paddr 0x0000000000000000 align 2**4
         filesz 0x0000000000000000 memsz 0x0000000000000000 flags rw-

Dynamic Section:
  NEEDED               libGL.so.1
  NEEDED               libX11.so.6
  NEEDED               libc.so.6
  SONAME               libGLEW.so.1.11
  INIT                 0x000000000003eb00
  FINI                 0x0000000000073d64
  INIT_ARRAY           0x0000000000286000
  INIT_ARRAYSZ         0x0000000000000008
  FINI_ARRAY           0x0000000000286008
  FINI_ARRAYSZ         0x0000000000000008
  GNU_HASH             0x00000000000001b8
  STRTAB               0x00000000000177f0
  SYMTAB               0x0000000000005970
  STRSZ                0x0000000000013c89
  SYMENT               0x0000000000000018
  PLTGOT               0x000000000028c160
  PLTRELSZ             0x00000000000000a8
  PLTREL               0x0000000000000007
  JMPREL               0x000000000003ea58
  RELA                 0x000000000002cc80
  RELASZ               0x0000000000011dd8
  RELAENT              0x0000000000000018
  VERNEED              0x000000000002cc60
  VERNEEDNUM           0x0000000000000001
  VERSYM               0x000000000002b47a
  RELACOUNT            0x000000000000000c

Version References:
  required from libc.so.6:
    0x09691a75 0x00 02 GLIBC_2.2.5

I put at button on it. Yes. I wish to press it, but I'm not sure what will happen if I do.  (Gune | Titan A.E.)

Offline

#15 2014-08-21 18:08:55

kalsan
Member
Registered: 2011-10-10
Posts: 92

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

@Scimma: yaourt is from archlinux-fr.
@dice: My output of objdump -p /usr/lib/libGLEW.so.1.11 is absolutely identical with yours - I checked on diffchecker.com (just the smiley, " sad " is not present in my file).

Offline

#16 2014-08-21 20:59:40

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,122

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

dice, it happens because warzone2100 is linked to something (which is linked to something else, that is linked to something else, etc) that is then linked to the old version.

Offline

#17 2014-08-22 11:14:46

dice
Member
From: Germany
Registered: 2014-02-10
Posts: 411

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

Scimmia wrote:

dice, it happens because warzone2100 is linked to something (which is linked to something else, that is linked to something else, etc) that is then linked to the old version.

Ah thanks, now I understand this. Does this mean there has to be something in the dependency tree that also depends on libGLEW? That should be easy to find using pactree


I put at button on it. Yes. I wish to press it, but I'm not sure what will happen if I do.  (Gune | Titan A.E.)

Offline

#18 2014-08-22 12:53:26

Xyne
Moderator/TU
Registered: 2008-08-03
Posts: 5,725
Website

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

Offline

#19 2014-08-23 07:12:33

kalsan
Member
Registered: 2011-10-10
Posts: 92

Re: warzone2100: error while loading shared libraries: libGLEW.so.1.10

Well, does that mean another update will fix it without me doing anything? Is there a way to patch it until then?
Why does this seem to happen only on my system?

Offline

Board footer

Powered by FluxBB